<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\financial;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\financial\FinancialExpenseReimbursementLists;
use app\adminapi\logic\financial\FinancialExpenseReimbursementLogic;
use app\adminapi\validate\financial\FinancialExpenseReimbursementValidate;


/**
 * 财务管理--费用报销单控制器
 * Class FinancialExpenseReimbursementController
 * @package app\adminapi\controller\financial
 */
class FinancialExpenseReimbursementController extends BaseAdminController
{


    /**
     * @notes 获取财务管理--费用报销单列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function lists()
    {
        return $this->dataLists(new FinancialExpenseReimbursementLists());
    }


    /**
     * @notes 添加财务管理--费用报销单
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function add()
    {
        $params = (new FinancialExpenseReimbursementValidate())->post()->goCheck('add');
        $result = FinancialExpenseReimbursementLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(FinancialExpenseReimbursementLogic::getError());
    }


    /**
     * @notes 编辑财务管理--费用报销单
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function edit()
    {
        $params = (new FinancialExpenseReimbursementValidate())->post()->goCheck('edit');
        $result = FinancialExpenseReimbursementLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(FinancialExpenseReimbursementLogic::getError());
    }


    /**
     * @notes 删除财务管理--费用报销单
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function delete()
    {
        $params = (new FinancialExpenseReimbursementValidate())->post()->goCheck('delete');
        FinancialExpenseReimbursementLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取财务管理--费用报销单详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function detail()
    {
        $params = (new FinancialExpenseReimbursementValidate())->goCheck('detail');
        $result = FinancialExpenseReimbursementLogic::detail($params);
        return $this->data($result);
    }


}