<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\lists\financial;


use app\adminapi\lists\BaseAdminDataLists;
use app\common\model\financial\FinancialTravelReimbursement;
use app\common\lists\ListsSearchInterface;


/**
 * 财务管理--差旅费报销单列表
 * Class FinancialTravelReimbursementLists
 * @package app\adminapi\listsfinancial
 */
class FinancialTravelReimbursementLists extends BaseAdminDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function setSearch(): array
    {
        return [
            '=' => ['code', 'approve_dept', 'cost_type', 'pay_type', 'create_user'],
        ];
    }


    /**
     * @notes 获取财务管理--差旅费报销单列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function lists(): array
    {
        return FinancialTravelReimbursement::where($this->searchWhere)
            ->field(['id', 'code', 'approve_dept', 'cost_type', 'pay_type', 'tax_deductible_amount', 'bill_num', 'fee_application_id', 'content', 'create_user', 'create_time'])
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取财务管理--差旅费报销单数量
     * @return int
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function count(): int
    {
        return FinancialTravelReimbursement::where($this->searchWhere)->count();
    }

}