<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\logic\financial;


use app\common\model\financial\FinancialExpenseReimbursement;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * 财务管理--费用报销单逻辑
 * Class FinancialExpenseReimbursementLogic
 * @package app\adminapi\logic\financial
 */
class FinancialExpenseReimbursementLogic extends BaseLogic
{


    /**
     * @notes 添加财务管理--费用报销单
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            FinancialExpenseReimbursement::create([
                'contract_id' => $params['contract_id'],
                'fee_application_id' => $params['fee_application_id'],
                'theme' => $params['theme'],
                'code' => $params['code'],
                'bill_num' => $params['bill_num'],
                'pay_type' => $params['pay_type'],
                'content' => $params['content'],
                'annex' => $params['annex'],
                'create_user' => $params['create_user'],
                'create_time' => $params['create_time']
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑财务管理--费用报销单
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            FinancialExpenseReimbursement::where('id', $params['id'])->update([
                'contract_id' => $params['contract_id'],
                'fee_application_id' => $params['fee_application_id'],
                'theme' => $params['theme'],
                'code' => $params['code'],
                'bill_num' => $params['bill_num'],
                'pay_type' => $params['pay_type'],
                'content' => $params['content'],
                'annex' => $params['annex'],
                'create_user' => $params['create_user'],
                'create_time' => $params['create_time']
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除财务管理--费用报销单
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public static function delete(array $params): bool
    {
        return FinancialExpenseReimbursement::destroy($params['id']);
    }


    /**
     * @notes 获取财务管理--费用报销单详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public static function detail($params): array
    {
        return FinancialExpenseReimbursement::findOrEmpty($params['id'])->toArray();
    }
}