<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\validate\financial;


use app\common\validate\BaseValidate;


/**
 * 财务管理--费用报销单验证器
 * Class FinancialExpenseReimbursementValidate
 * @package app\adminapi\validate\financial
 */
class FinancialExpenseReimbursementValidate extends BaseValidate
{

     /**
      * 设置校验规则
      * @var string[]
      */
    protected $rule = [
        'id' => 'require',
        'contract_id' => 'require',
        'fee_application_id' => 'require',
        'theme' => 'require',
        'code' => 'require',
        'bill_num' => 'require',
        'pay_type' => 'require',
        'content' => 'require',
        'create_user' => 'require',
        'create_time' => 'require',
    ];


    /**
     * 参数描述
     * @var string[]
     */
    protected $field = [
        'id' => 'id',
        'contract_id' => '合同id',
        'fee_application_id' => '费用申请id',
        'theme' => '单据主题',
        'code' => '单据编号',
        'bill_num' => '单据张数',
        'pay_type' => '支付方式',
        'content' => '事由',
        'create_user' => '申请人员',
        'create_time' => '报销日期',
    ];


    /**
     * @notes 添加场景
     * @return FinancialExpenseReimbursementValidate
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function sceneAdd()
    {
        return $this->only(['contract_id','fee_application_id','theme','code','bill_num','pay_type','content','create_user','create_time']);
    }


    /**
     * @notes 编辑场景
     * @return FinancialExpenseReimbursementValidate
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function sceneEdit()
    {
        return $this->only(['id','contract_id','fee_application_id','theme','code','bill_num','pay_type','content','create_user','create_time']);
    }


    /**
     * @notes 删除场景
     * @return FinancialExpenseReimbursementValidate
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function sceneDelete()
    {
        return $this->only(['id']);
    }


    /**
     * @notes 详情场景
     * @return FinancialExpenseReimbursementValidate
     * @author likeadmin
     * @date 2024/03/28 14:45
     */
    public function sceneDetail()
    {
        return $this->only(['id']);
    }

}